org.eclipse.persistence.javax.persistence.osgi

## Class Activator

- java.lang.Object
- - org.eclipse.persistence.javax.persistence.osgi.Activator

    public class Activator
    extends java.lang.Object

Activator class for OSGi integration

Author:
  mkeith, tware, ssmith

### Constructor Summary

Constructors
Constructor and Description
`Activator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `start(BundleContext context)`
`void` `stop(BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Activator

    public Activator()

### Method Detail

#### start

    public void start(BundleContext context)
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

Throws:
  `java.lang.Exception`